<?php 
/*
Plugin Name: Jamie Social Icons
Plugin URI: http://www.martiniboy.co.uk/wordpress-plugins/jamie-social-icons/
Description: Add Facebook Like, Tweet and Google Plus 1 button at bottom of page/post
Author: Jamie Grove
Version: 0.9.4
Author URI: http://www.martiniboy.co.uk
*/
/*  Copyright 2012  Jamie Grove  (email : jamie@martiniboy.co.uk)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define( 'PLUGIN_DIR', dirname(__FILE__).'/' ); 

include "social-admin.php";

 
function get_jamie_social_code(){
$options = get_option( 'jamie_social_options' ); 
$url = get_permalink(get_the_ID());
$title = get_the_title(get_the_ID());
?>

<ul id="jamie_social">
  <?php
if($options['facebook'] == true){?>
  <!--[if !lte IE 8]><!-->
  <li>
    <fb:like send="false" layout="button_count" width="90" show_faces="false"></fb:like>
  </li>
  <!--<![endif]--> 
  <!--[if lte IE 8]><li>
<fb:like  send="false" layout="button_count" href="<?php echo $url; ?>" show_faces="false" width="90"></fb:like> </li> <![endif]-->
  <?php } 
if($options['google'] == true){ ?>
  <!--[if !lte IE 7]><!-->
  <li>
    <g:plusone size="medium"  callback="plusone_vote"></g:plusone>
  </li>
  <!--<![endif]-->
  <?php } 
if($options['twitter'] == true){ ?>
  <li><a href="https://twitter.com/share" class="twitter-share-button" data-count="horizontal" data-url="<?php echo $url;?>" data-text="<?php echo $title;?>">Tweet</a></li>
  <?php }
if($options['pinterest'] == true){ ?>
  <li id="pin"> <a class="pin-it-button" count-layout="horizontal" always-show-count="1" href="http://pinterest.com/pin/create/button/?url=<?php echo $url;?>">Pin It</a> <a href="javascript:void(run_pinmarklet())" class="pinarea"></a></li>
  <script src="http://assets.pinterest.com/js/pinit.js" type="text/javascript"/></script>
  <?php }
if($options['linkedin'] == true){ ?>
  <li><script type="in/share" data-url="<?php echo $url; ?>" data-counter="right" data-onsuccess="LinkedInShare"></script></li>
  <?php } ?>
</ul>
<br id="jamie_clear" />
<?php
}

function the_jamie_social_code(){
    return get_jamie_social_code(); 
}
 $options = get_option( 'jamie_social_options' );
if($options['showing'] == 'top' && $options['post'] == true) {
function add_post_top_content($content){
	 if(is_singular('post')){
	 $content .=  get_jamie_social_code();
	 }
	 return $content;
	 }
	 add_filter('the_content','add_post_top_content');
}
if($options['showing'] == 'top' && $options['page'] == true) {
	 function add_page_top_content($content){
		if(is_page()){
		$content .=  get_jamie_social_code();
		}
	 return $content;
	 }
	 add_filter('the_content','add_page_top_content');
}

else if($options['showing'] == 'bottom'  && $options['page'] == true){
	 function add_page_bot_content($content){
		 if(is_page()){
		ob_start();
		get_jamie_social_code();
		$content .= ob_get_clean();
		 }
	 return $content;
	 }
	 add_filter('the_content','add_page_bot_content');
} 
if($options['showing'] == 'bottom'  && $options['post'] == true){
	 function add_post_bot_content($content){
		 if(is_singular('post')){
		ob_start();
		get_jamie_social_code();
		$content .= ob_get_clean();
		 }
	 return $content;
	 }
	 add_filter('the_content','add_post_bot_content');
} 
function jamiesocial($atts){
	ob_start();
		get_jamie_social_code();
		$content = ob_get_clean();
	return $content;
}
add_shortcode('jamiesocial', 'jamiesocial');

add_action('init', 'add_jamiesocial_button');
    function add_jamiesocial_button() {  
       if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )  
       {  
         add_filter('mce_external_plugins', 'add_jamiesocial_plugin');  
         add_filter('mce_buttons', 'register_jamiesocial_button');  
		 
       }  
    }   
	    function register_jamiesocial_button($buttons) {  
       array_push($buttons, "jamiesocial");  
       return $buttons;  
    }  
	    function add_jamiesocial_plugin($plugin_array) {  
       $plugin_array['jamiesocial'] = WP_PLUGIN_URL.'/jamie-social-icons/editor_jamie.js';  
       return $plugin_array;  
    }

add_action( 'wp_enqueue_scripts', 'jamie_add_my_stylesheet' );
function jamie_add_my_stylesheet() {
         // Respects SSL, Style.css is relative to the current file
         wp_register_style( 'jamie_social', plugins_url('social.css', 
__FILE__) );
         wp_enqueue_style( 'jamie_social' );
     }
add_action( 'wp_enqueue_scripts', 'jamie_add_my_scripts' );
function jamie_add_my_scripts() { 

 wp_register_script( 'social_tracking', plugins_url('ga_social_tracking.js', 
__FILE__) );
         wp_enqueue_script( 'social_tracking' ); 
// $options = get_option( 'jamie_social_options' );
// if($options['facebook'] == true){ ?>
<!--[if !lte IE 8]><!--> 
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) {return;}
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_GB/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, "script", "facebook-jssdk"));</script> 
<!--<![endif]--> 
<!--[if lte IE 8]>
<div id="fb-root" style="width: 90;"></div>  
 <script src="http://connect.facebook.net/en_GB/all.js#xfbml=1"></script>
<!--<![endif]-->
<?php //} 
//if($options['twitter'] == true){ ?>
<script>
    (function(){
    var twitterWidgets = document.createElement('script');
    twitterWidgets.type = 'text/javascript';
    twitterWidgets.async = true;
    twitterWidgets.src = 'http://platform.twitter.com/widgets.js';
    // Setup a callback to track once the script loads.
    twitterWidgets.onload = _ga.trackTwitter;
    document.getElementsByTagName('head')[0].appendChild(twitterWidgets);
    })();
</script>
<?php //}
//if($options['pinterest'] == true){ 
?>
<script type="text/javascript">
function run_pinmarklet() {
var e=document.createElement("script"); 
e.setAttribute("type","text/javascript");
e.setAttribute("charset","UTF-8");
e.setAttribute("src","http://assets.pinterest.com/js/pinmarklet.js?r=" + Math.random()*99999999);
document.body.appendChild(e);
}
</script>
 <?php  //}
//if($options['linkedin'] == true){ ?>
<script type="text/javascript">
function LinkedInShare() {
_gaq.push(['_trackSocial', 'LinkedIn', 'Share']);
}
</script>
<?php //}
  }
	
function jamie_add_my_footer_scripts() {
 ?>
<script type="text/javascript">_ga.trackFacebook();</script>
<?php 
?>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
<?php ?>
<!--[if !lte IE 7]><!--> 
<script type="text/javascript">
  (function() {
    var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;
    po.src = "https://apis.google.com/js/plusone.js";
    var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);
  })();
</script> 
<!--<![endif]-->
<?php 
wp_register_script( 'linkedin', 'http://platform.linkedin.com/in.js');
         wp_enqueue_script( 'linkedin' );
}
add_action( 'wp_footer', 'jamie_add_my_footer_scripts' );
?>